# Referência de API — Banking (UY3)

> 139 endpoints, organizados pelo fluxo de integração. Todos os exemplos usam os placeholders `{{baseUrl}}` (URL base do ambiente) e `{{token}}` (token JWT).

## Autenticação

Envie o token em toda requisição no header `Authorization: Bearer {{token}}` (JWT do AWS Cognito). Integrações servidor-a-servidor podem usar `X-Api-Key`. Todo tráfego é HTTPS; a credencial nunca vai na URL nem em query string.

## Chaves PIX

Cadastre e gerencie as chaves PIX da conta.

### POST /v1/BankAccount/BatchPixKeyRegistrationNumber

**Criar Bank Account** — Cria um novo registro de Bank Account.

**Corpo da requisição** (`application/json`, lista/array)

Exemplo:

```json
[
  "texto"
]
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/BatchPixKeyRegistrationNumber" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '[
  "texto"
]'
```

---

### GET /v1/BankAccount/{id}/Pix/Key

**Obter todas as chaves PIX da conta** — Lista e filtra registros de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `pixKey` | `string` | opcional | — | — | `"texto"` |
| `type` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic`, `AgencyAndAccount` | `"NaturalRegistrationNumber"` |
| `typeDisplay` | `string` | opcional | — | — | `"texto"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `ownerAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `statistics` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |

Detalhe de `statistics`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `ownerSpi` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerFraudMarkers` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerInfractionReports` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerEntries` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keySpi` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keyFraudMarkers` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keyInfractionReports` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keyEntries` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Exemplo:

```json
[
  {
    "pixKey": "texto",
    "type": "NaturalRegistrationNumber",
    "typeDisplay": "texto",
    "createdAt": "2025-08-11T13:45:00Z",
    "ownerAt": "2025-08-11T13:45:00Z",
    "statistics": {
      "ownerSpi": {
        "ultimaAtualizacao": "2025-08-11T13:45:00Z",
        "d90": 0,
        "m12": 0,
        "m60": 0
      },
      "ownerFraudMarkers": {
        "ultimaAtualizacao": "2025-08-11T13:45:00Z",
        "applicationFraudsD90": 0,
        "applicationFraudsM12": 0,
        "applicationFraudsM60": 0,
        "muleAccountsD90": 0,
        "muleAccountsM12": 0,
        "muleAccountsM60": 0,
        "scammerAccountsD90": 0,
        "scammerAccountsM12": 0,
        "scammerAccountsM60": 0,
        "otherFraudsD90": 0,
        "otherFraudsM12": 0,
        "otherFraudsM60": 0,
        "unknownFraudsD90": 0,
        "unknownFraudsM12": 0,
        "unknownFraudsM60": 0,
        "totalFraudTransactionAmountD90": 0,
        "totalFraudTransactionAmountM12": 0,
        "totalFraudTransactionAmountM60": 0,
        "distinctFraudReportersD90": 0,
        "distinctFraudReportersM12": 0,
        "distinctFraudReportersM60": 0
      },
      "ownerInfractionReports": {
        "ultimaAtualizacao": "2025-08-11T13:45:00Z",
        "openReports": 0,
        "openReportsDistinctReporters": 0,
        "rejectedReportsD90": 0,
        "rejectedReportsM12": 0,
        "rejectedReportsM60": 0
      },
      "ownerEntries": {
        "ultimaAtualizacao": "2025-08-11T13:45:00Z",
        "registeredAccounts": 0
      },
      "keySpi": {
        "ultimaAtualizacao": "2025-08-11T13:45:00Z",
        "d90": 0,
        "m12": 0,
        "m60": 0
      },
      "keyFraudMarkers": {
        "ultimaAtualizacao": "2025-08-11T13:45:00Z",
        "applicationFraudsD90": 0,
        "applicationFraudsM12": 0,
        "applicationFraudsM60": 0,
        "muleAccountsD90": 0,
        "muleAccountsM12": 0,
        "muleAccountsM60": 0,
        "scammerAccountsD90": 0,
        "scammerAccountsM12": 0,
        "scammerAccountsM60": 0,
        "otherFraudsD90": 0,
        "otherFraudsM12": 0,
        "otherFraudsM60": 0,
        "unknownFraudsD90": 0,
        "unknownFraudsM12": 0,
        "unknownFraudsM60": 0,
        "totalFraudTransactionAmountD90": 0,
        "totalFraudTransactionAmountM12": 0,
        "totalFraudTransactionAmountM60": 0,
        "distinctFraudReportersD90": 0,
        "distinctFraudReportersM12": 0,
        "distinctFraudReportersM60": 0
      },
      "keyInfractionReports": {
        "ultimaAtualizacao": "2025-08-11T13:45:00Z",
        "openReports": 0,
        "openReportsDistinctReporters": 0,
        "rejectedReportsD90": 0,
        "rejectedReportsM12": 0,
        "rejectedReportsM60": 0
      },
      "keyEntries": {
        "ultimaAtualizacao": "2025-08-11T13:45:00Z",
        "distinctAccountsD90": 0,
        "distinctAccountsM12": 0,
        "distinctAccountsM60": 0
      }
    }
  }
]
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Key" \
  -H "Authorization: Bearer {{token}}"
```

---

### POST /v1/BankAccount/{id}/Pix/Key

**Incluir Chave PIX** — Cria um novo registro de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | Id da conta bancária | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `type` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic` | `"NaturalRegistrationNumber"` |
| `pixKey` | `string` | opcional | — | — | `"texto"` |
| `descriptionType` | `string` | opcional | — | — | `"texto"` |
| `formattedKey` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "type": "NaturalRegistrationNumber",
  "pixKey": "texto",
  "descriptionType": "texto",
  "formattedKey": "texto"
}
```

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `type` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic`, `AgencyAndAccount` | `"NaturalRegistrationNumber"` |
| `typeDisplay` | `string` | opcional | — | — | `"texto"` |
| `pixKey` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "type": "NaturalRegistrationNumber",
  "typeDisplay": "texto",
  "pixKey": "texto"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Key" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "type": "NaturalRegistrationNumber",
  "pixKey": "texto",
  "descriptionType": "texto",
  "formattedKey": "texto"
}'
```

---

### GET /v1/BankAccount/Pix/Key/{pixKey}

**Obtém informações por chave PIX** — Consulta Bank Account pelo identificador informado na rota.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `pixKey` | path | `string` | obrigatório | Chave PIX | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `keyType` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic`, `AgencyAndAccount` | `"NaturalRegistrationNumber"` |
| `keyTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `keyValue` | `string` | opcional | — | — | `"texto"` |
| `accountNumber` | `string` | opcional | — | — | `"texto"` |
| `accountAgency` | `string` | opcional | — | — | `"texto"` |
| `accountOpeningDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `accountType` | `string` | opcional | — | `CheckingAccount`, `SalaryAccount`, `SavingsAccount`, `Transactional` | `"CheckingAccount"` |
| `accountTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `personType` | `string` | opcional | — | `Natural`, `Legal` | `"Natural"` |
| `personTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `bankName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `ispb` | `string` | opcional | — | — | `"texto"` |
| `endToEndId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `statistics` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |

Detalhe de `statistics`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `ownerSpi` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerFraudMarkers` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerInfractionReports` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerEntries` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keySpi` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keyFraudMarkers` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keyInfractionReports` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keyEntries` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Exemplo:

```json
{
  "registrationNumber": "12345678909",
  "name": "Fulano de Tal",
  "keyType": "NaturalRegistrationNumber",
  "keyTypeDisplay": "texto",
  "keyValue": "texto",
  "accountNumber": "texto",
  "accountAgency": "texto",
  "accountOpeningDate": "2025-08-11T13:45:00Z",
  "accountType": "CheckingAccount",
  "accountTypeDisplay": "texto",
  "personType": "Natural",
  "personTypeDisplay": "texto",
  "bankName": "Fulano de Tal",
  "ispb": "texto",
  "endToEndId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "statistics": {
    "ownerSpi": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "d90": 0,
      "m12": 0,
      "m60": 0
    },
    "ownerFraudMarkers": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "applicationFraudsD90": 0,
      "applicationFraudsM12": 0,
      "applicationFraudsM60": 0,
      "muleAccountsD90": 0,
      "muleAccountsM12": 0,
      "muleAccountsM60": 0,
      "scammerAccountsD90": 0,
      "scammerAccountsM12": 0,
      "scammerAccountsM60": 0,
      "otherFraudsD90": 0,
      "otherFraudsM12": 0,
      "otherFraudsM60": 0,
      "unknownFraudsD90": 0,
      "unknownFraudsM12": 0,
      "unknownFraudsM60": 0,
      "totalFraudTransactionAmountD90": 0,
      "totalFraudTransactionAmountM12": 0,
      "totalFraudTransactionAmountM60": 0,
      "distinctFraudReportersD90": 0,
      "distinctFraudReportersM12": 0,
      "distinctFraudReportersM60": 0
    },
    "ownerInfractionReports": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "openReports": 0,
      "openReportsDistinctReporters": 0,
      "rejectedReportsD90": 0,
      "rejectedReportsM12": 0,
      "rejectedReportsM60": 0
    },
    "ownerEntries": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "registeredAccounts": 0
    },
    "keySpi": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "d90": 0,
      "m12": 0,
      "m60": 0
    },
    "keyFraudMarkers": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "applicationFraudsD90": 0,
      "applicationFraudsM12": 0,
      "applicationFraudsM60": 0,
      "muleAccountsD90": 0,
      "muleAccountsM12": 0,
      "muleAccountsM60": 0,
      "scammerAccountsD90": 0,
      "scammerAccountsM12": 0,
      "scammerAccountsM60": 0,
      "otherFraudsD90": 0,
      "otherFraudsM12": 0,
      "otherFraudsM60": 0,
      "unknownFraudsD90": 0,
      "unknownFraudsM12": 0,
      "unknownFraudsM60": 0,
      "totalFraudTransactionAmountD90": 0,
      "totalFraudTransactionAmountM12": 0,
      "totalFraudTransactionAmountM60": 0,
      "distinctFraudReportersD90": 0,
      "distinctFraudReportersM12": 0,
      "distinctFraudReportersM60": 0
    },
    "keyInfractionReports": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "openReports": 0,
      "openReportsDistinctReporters": 0,
      "rejectedReportsD90": 0,
      "rejectedReportsM12": 0,
      "rejectedReportsM60": 0
    },
    "keyEntries": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "distinctAccountsD90": 0,
      "distinctAccountsM12": 0,
      "distinctAccountsM60": 0
    }
  }
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/Pix/Key/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}"
```

---

### GET /v1/BankAccount/{id}/Pix/Key/{key}

**Obter informações por chave PIX** — Consulta Bank Account pelo identificador informado na rota.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `key` | path | `string` | obrigatório | Chave PIX | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `keyType` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic`, `AgencyAndAccount` | `"NaturalRegistrationNumber"` |
| `keyTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `keyValue` | `string` | opcional | — | — | `"texto"` |
| `accountNumber` | `string` | opcional | — | — | `"texto"` |
| `accountAgency` | `string` | opcional | — | — | `"texto"` |
| `accountOpeningDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `accountType` | `string` | opcional | — | `CheckingAccount`, `SalaryAccount`, `SavingsAccount`, `Transactional` | `"CheckingAccount"` |
| `accountTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `personType` | `string` | opcional | — | `Natural`, `Legal` | `"Natural"` |
| `personTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `bankName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `ispb` | `string` | opcional | — | — | `"texto"` |
| `endToEndId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `statistics` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |

Detalhe de `statistics`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `ownerSpi` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerFraudMarkers` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerInfractionReports` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerEntries` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keySpi` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keyFraudMarkers` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keyInfractionReports` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keyEntries` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Exemplo:

```json
{
  "registrationNumber": "12345678909",
  "name": "Fulano de Tal",
  "keyType": "NaturalRegistrationNumber",
  "keyTypeDisplay": "texto",
  "keyValue": "texto",
  "accountNumber": "texto",
  "accountAgency": "texto",
  "accountOpeningDate": "2025-08-11T13:45:00Z",
  "accountType": "CheckingAccount",
  "accountTypeDisplay": "texto",
  "personType": "Natural",
  "personTypeDisplay": "texto",
  "bankName": "Fulano de Tal",
  "ispb": "texto",
  "endToEndId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "statistics": {
    "ownerSpi": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "d90": 0,
      "m12": 0,
      "m60": 0
    },
    "ownerFraudMarkers": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "applicationFraudsD90": 0,
      "applicationFraudsM12": 0,
      "applicationFraudsM60": 0,
      "muleAccountsD90": 0,
      "muleAccountsM12": 0,
      "muleAccountsM60": 0,
      "scammerAccountsD90": 0,
      "scammerAccountsM12": 0,
      "scammerAccountsM60": 0,
      "otherFraudsD90": 0,
      "otherFraudsM12": 0,
      "otherFraudsM60": 0,
      "unknownFraudsD90": 0,
      "unknownFraudsM12": 0,
      "unknownFraudsM60": 0,
      "totalFraudTransactionAmountD90": 0,
      "totalFraudTransactionAmountM12": 0,
      "totalFraudTransactionAmountM60": 0,
      "distinctFraudReportersD90": 0,
      "distinctFraudReportersM12": 0,
      "distinctFraudReportersM60": 0
    },
    "ownerInfractionReports": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "openReports": 0,
      "openReportsDistinctReporters": 0,
      "rejectedReportsD90": 0,
      "rejectedReportsM12": 0,
      "rejectedReportsM60": 0
    },
    "ownerEntries": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "registeredAccounts": 0
    },
    "keySpi": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "d90": 0,
      "m12": 0,
      "m60": 0
    },
    "keyFraudMarkers": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "applicationFraudsD90": 0,
      "applicationFraudsM12": 0,
      "applicationFraudsM60": 0,
      "muleAccountsD90": 0,
      "muleAccountsM12": 0,
      "muleAccountsM60": 0,
      "scammerAccountsD90": 0,
      "scammerAccountsM12": 0,
      "scammerAccountsM60": 0,
      "otherFraudsD90": 0,
      "otherFraudsM12": 0,
      "otherFraudsM60": 0,
      "unknownFraudsD90": 0,
      "unknownFraudsM12": 0,
      "unknownFraudsM60": 0,
      "totalFraudTransactionAmountD90": 0,
      "totalFraudTransactionAmountM12": 0,
      "totalFraudTransactionAmountM60": 0,
      "distinctFraudReportersD90": 0,
      "distinctFraudReportersM12": 0,
      "distinctFraudReportersM60": 0
    },
    "keyInfractionReports": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "openReports": 0,
      "openReportsDistinctReporters": 0,
      "rejectedReportsD90": 0,
      "rejectedReportsM12": 0,
      "rejectedReportsM60": 0
    },
    "keyEntries": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "distinctAccountsD90": 0,
      "distinctAccountsM12": 0,
      "distinctAccountsM60": 0
    }
  }
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Key/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}"
```

---

### DELETE /v1/BankAccount/{id}/Pix/Key/{key}

**Excluir Chave PIX** — Remove um registro de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `key` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Códigos de retorno**

| Código | Significado |
|---|---|
| `204` | Sucesso sem corpo de resposta. |

**cURL**

```bash
curl -X DELETE "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Key/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}"
```

---

### GET /v1/BankAccount/{id}/Pix/Key/Claim

**Obter todas as reivindicações da conta** — Lista e filtra registros de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `claim` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `claimantPerson` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `donorPerson` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `donorDataAccount` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `claimantDataAccount` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `pixKey` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `deadLine` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `resolutionDeadLine` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `lastRequest` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `isDonorParticipant` | `boolean` | opcional | — | — | `true` |
| `isClaimantParticipant` | `boolean` | opcional | — | — | `true` |
| `isDonorPerson` | `boolean` | opcional | — | — | `true` |
| `isClaimantPerson` | `boolean` | opcional | — | — | `true` |

Detalhe de `claim`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `status` | `string` | opcional | — | `Open`, `Waiting_Resolution`, `Confirmed`, `Canceled`, `Finished` | `"Open"` |
| `type` | `string` | opcional | — | `Ownership`, `Portability` | `"Ownership"` |
| `cancelParticipant` | `string` | opcional | — | — | `"texto"` |
| `confirmationReason` | `string` | opcional | — | `UserRequest`, `ClosingAccount`, `Fraud`, `StandardOperation` | `"UserRequest"` |
| `cancelReason` | `string` | opcional | — | `UserRequest`, `ClosingAccount`, `Fraud`, `StandardOperation` | `"UserRequest"` |

Detalhe de `claimantPerson`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `personType` | `string` | opcional | — | — | `"texto"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `companyName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `donorPerson`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `personType` | `string` | opcional | — | — | `"texto"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `companyName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `donorDataAccount`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `agency` | `string` | opcional | — | — | `"texto"` |
| `accountNumber` | `string` | opcional | — | — | `"texto"` |
| `accountType` | `string` | opcional | — | `CheckingAccount`, `SalaryAccount`, `SavingsAccount`, `Transactional` | `"CheckingAccount"` |
| `openedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `ispb` | `string` | opcional | — | — | `"texto"` |
| `bankName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `claimantDataAccount`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `agency` | `string` | opcional | — | — | `"texto"` |
| `accountNumber` | `string` | opcional | — | — | `"texto"` |
| `accountType` | `string` | opcional | — | `CheckingAccount`, `SalaryAccount`, `SavingsAccount`, `Transactional` | `"CheckingAccount"` |
| `openedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `ispb` | `string` | opcional | — | — | `"texto"` |
| `institutionName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `pixKey`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `type` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic`, `AgencyAndAccount` | `"NaturalRegistrationNumber"` |
| `typeDisplay` | `string` | opcional | — | — | `"texto"` |
| `pixKey` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
[
  {
    "claim": {
      "id": "texto",
      "status": "Open",
      "type": "Ownership",
      "cancelParticipant": "texto",
      "confirmationReason": "UserRequest",
      "cancelReason": "UserRequest"
    },
    "claimantPerson": {
      "personType": "texto",
      "registrationNumber": "12345678909",
      "name": "Fulano de Tal",
      "companyName": "Fulano de Tal"
    },
    "donorPerson": {
      "personType": "texto",
      "registrationNumber": "12345678909",
      "name": "Fulano de Tal",
      "companyName": "Fulano de Tal"
    },
    "donorDataAccount": {
      "agency": "texto",
      "accountNumber": "texto",
      "accountType": "CheckingAccount",
      "openedAt": "2025-08-11T13:45:00Z",
      "ispb": "texto",
      "bankName": "Fulano de Tal"
    },
    "claimantDataAccount": {
      "agency": "texto",
      "accountNumber": "texto",
      "accountType": "CheckingAccount",
      "openedAt": "2025-08-11T13:45:00Z",
      "ispb": "texto",
      "institutionName": "Fulano de Tal"
    },
    "pixKey": {
      "type": "NaturalRegistrationNumber",
      "typeDisplay": "texto",
      "pixKey": "texto"
    },
    "deadLine": "2025-08-11T13:45:00Z",
    "resolutionDeadLine": "2025-08-11T13:45:00Z",
    "lastRequest": "2025-08-11T13:45:00Z",
    "isDonorParticipant": true,
    "isClaimantParticipant": true,
    "isDonorPerson": true,
    "isClaimantPerson": true
  }
]
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Key/Claim" \
  -H "Authorization: Bearer {{token}}"
```

---

### POST /v1/BankAccount/{id}/Pix/Key/Claim

**Incluir reivindicação de chave PIX** — Cria um novo registro de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `type` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email` | `"NaturalRegistrationNumber"` |
| `pixKey` | `string` | opcional | — | — | `"texto"` |
| `descriptionType` | `string` | opcional | — | — | `"texto"` |
| `formattedKey` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "type": "NaturalRegistrationNumber",
  "pixKey": "texto",
  "descriptionType": "texto",
  "formattedKey": "texto"
}
```

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `type` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic`, `AgencyAndAccount` | `"NaturalRegistrationNumber"` |
| `typeDisplay` | `string` | opcional | — | — | `"texto"` |
| `pixKey` | `string` | opcional | — | — | `"texto"` |
| `claimId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |

Exemplo:

```json
{
  "type": "NaturalRegistrationNumber",
  "typeDisplay": "texto",
  "pixKey": "texto",
  "claimId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Key/Claim" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "type": "NaturalRegistrationNumber",
  "pixKey": "texto",
  "descriptionType": "texto",
  "formattedKey": "texto"
}'
```

---

### PUT /v1/BankAccount/{id}/Pix/Key/Claim

**Confirmar/Cancelar ou Concluir reivindicação de chave PIX** — Atualiza por completo um registro de Bank Account existente.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `claimId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `claimAction` | `string` | opcional | — | `Confirm`, `Cancel`, `Finish` | `"Confirm"` |

Exemplo:

```json
{
  "claimId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "claimAction": "Confirm"
}
```

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `claimId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `claimStatus` | `string` | opcional | — | `Open`, `Waiting_Resolution`, `Confirmed`, `Canceled`, `Finished` | `"Open"` |

Exemplo:

```json
{
  "claimId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "claimStatus": "Open"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X PUT "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Key/Claim" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "claimId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "claimAction": "Confirm"
}'
```

---

### GET /v1/BankAccount/{id}/Pix/Key/Claim/{claimId}

**Consultar reivindicação por Id** — Consulta Bank Account pelo identificador informado na rota.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `claimId` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `claim` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `claimantPerson` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `donorPerson` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `donorDataAccount` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `claimantDataAccount` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `pixKey` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `deadLine` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `resolutionDeadLine` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `lastRequest` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `isDonorParticipant` | `boolean` | opcional | — | — | `true` |
| `isClaimantParticipant` | `boolean` | opcional | — | — | `true` |
| `isDonorPerson` | `boolean` | opcional | — | — | `true` |
| `isClaimantPerson` | `boolean` | opcional | — | — | `true` |

Detalhe de `claim`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `status` | `string` | opcional | — | `Open`, `Waiting_Resolution`, `Confirmed`, `Canceled`, `Finished` | `"Open"` |
| `type` | `string` | opcional | — | `Ownership`, `Portability` | `"Ownership"` |
| `cancelParticipant` | `string` | opcional | — | — | `"texto"` |
| `confirmationReason` | `string` | opcional | — | `UserRequest`, `ClosingAccount`, `Fraud`, `StandardOperation` | `"UserRequest"` |
| `cancelReason` | `string` | opcional | — | `UserRequest`, `ClosingAccount`, `Fraud`, `StandardOperation` | `"UserRequest"` |

Detalhe de `claimantPerson`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `personType` | `string` | opcional | — | — | `"texto"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `companyName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `donorPerson`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `personType` | `string` | opcional | — | — | `"texto"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `companyName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `donorDataAccount`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `agency` | `string` | opcional | — | — | `"texto"` |
| `accountNumber` | `string` | opcional | — | — | `"texto"` |
| `accountType` | `string` | opcional | — | `CheckingAccount`, `SalaryAccount`, `SavingsAccount`, `Transactional` | `"CheckingAccount"` |
| `openedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `ispb` | `string` | opcional | — | — | `"texto"` |
| `bankName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `claimantDataAccount`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `agency` | `string` | opcional | — | — | `"texto"` |
| `accountNumber` | `string` | opcional | — | — | `"texto"` |
| `accountType` | `string` | opcional | — | `CheckingAccount`, `SalaryAccount`, `SavingsAccount`, `Transactional` | `"CheckingAccount"` |
| `openedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `ispb` | `string` | opcional | — | — | `"texto"` |
| `institutionName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `pixKey`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `type` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic`, `AgencyAndAccount` | `"NaturalRegistrationNumber"` |
| `typeDisplay` | `string` | opcional | — | — | `"texto"` |
| `pixKey` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "claim": {
    "id": "texto",
    "status": "Open",
    "type": "Ownership",
    "cancelParticipant": "texto",
    "confirmationReason": "UserRequest",
    "cancelReason": "UserRequest"
  },
  "claimantPerson": {
    "personType": "texto",
    "registrationNumber": "12345678909",
    "name": "Fulano de Tal",
    "companyName": "Fulano de Tal"
  },
  "donorPerson": {
    "personType": "texto",
    "registrationNumber": "12345678909",
    "name": "Fulano de Tal",
    "companyName": "Fulano de Tal"
  },
  "donorDataAccount": {
    "agency": "texto",
    "accountNumber": "texto",
    "accountType": "CheckingAccount",
    "openedAt": "2025-08-11T13:45:00Z",
    "ispb": "texto",
    "bankName": "Fulano de Tal"
  },
  "claimantDataAccount": {
    "agency": "texto",
    "accountNumber": "texto",
    "accountType": "CheckingAccount",
    "openedAt": "2025-08-11T13:45:00Z",
    "ispb": "texto",
    "institutionName": "Fulano de Tal"
  },
  "pixKey": {
    "type": "NaturalRegistrationNumber",
    "typeDisplay": "texto",
    "pixKey": "texto"
  },
  "deadLine": "2025-08-11T13:45:00Z",
  "resolutionDeadLine": "2025-08-11T13:45:00Z",
  "lastRequest": "2025-08-11T13:45:00Z",
  "isDonorParticipant": true,
  "isClaimantParticipant": true,
  "isDonorPerson": true,
  "isClaimantPerson": true
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Key/Claim/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}"
```

---

## PIX

Pagamentos instantâneos: envio, QR Code e devoluções.

### GET /v1/BankAccount/{id}/Pix/QRCode

**Obter informações por QRCode PIX** — Lista e filtra registros de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `qrCode` | query | `string` | opcional | — | `valor` |
| `intendedPaymentDate` | query | `string (date-time)` | opcional | — | `valor` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `pixKey` | `string` | opcional | — | — | `"texto"` |
| `pixKeyType` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"NaturalRegistrationNumber"` |
| `pixKeyTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `endToEndId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `beneficiary` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `payer` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `valueInCents` | `integer (int64)` | opcional | — | — | `0` |
| `originalValueInCents` | `integer (int64)` | opcional | — | — | `0` |
| `interestValueInCents` | `integer (int64)` | opcional | — | — | `0` |
| `assessmentValueInCents` | `integer (int64)` | opcional | — | — | `0` |
| `discountValueInCents` | `integer (int64)` | opcional | — | — | `0` |
| `rebateValueInCents` | `integer (int64)` | opcional | — | — | `0` |
| `dueDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `validityAfterExpiration` | `integer` | opcional | — | — | `1` |
| `txId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `info` | `string` | opcional | — | — | `"texto"` |
| `qrCodeType` | `string` | opcional | — | — | `"texto"` |
| `pixType` | `string` | opcional | — | — | `"texto"` |
| `recurrenceData` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Detalhe de `beneficiary`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `agency` | `string` | opcional | — | — | `"texto"` |
| `accountNumber` | `string` | opcional | — | — | `"texto"` |
| `accountType` | `string` | opcional | — | `CheckingAccount`, `SalaryAccount`, `SavingsAccount`, `Transactional` | `"CheckingAccount"` |
| `accountTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `ispb` | `string` | opcional | — | — | `"texto"` |
| `personType` | `string` | opcional | — | `Natural`, `Legal` | `"Natural"` |
| `personTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `bankName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `payer`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `personType` | `string` | opcional | — | `Natural`, `Legal` | `"Natural"` |
| `personTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |

Exemplo:

```json
{
  "pixKey": "texto",
  "pixKeyType": "NaturalRegistrationNumber",
  "pixKeyTypeDisplay": "texto",
  "endToEndId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "beneficiary": {
    "agency": "texto",
    "accountNumber": "texto",
    "accountType": "CheckingAccount",
    "accountTypeDisplay": "texto",
    "ispb": "texto",
    "personType": "Natural",
    "personTypeDisplay": "texto",
    "registrationNumber": "12345678909",
    "name": "Fulano de Tal",
    "bankName": "Fulano de Tal"
  },
  "payer": {
    "personType": "Natural",
    "personTypeDisplay": "texto",
    "registrationNumber": "12345678909",
    "name": "Fulano de Tal"
  },
  "valueInCents": 0,
  "originalValueInCents": 0,
  "interestValueInCents": 0,
  "assessmentValueInCents": 0,
  "discountValueInCents": 0,
  "rebateValueInCents": 0,
  "dueDate": "2025-08-11T13:45:00Z",
  "validityAfterExpiration": 1,
  "txId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "info": "texto",
  "qrCodeType": "texto",
  "pixType": "texto",
  "recurrenceData": {
    "recurrenceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "journey": "JORNADA_1",
    "journeyDisplay": "texto",
    "retry": "texto",
    "amountValueInCents": 0,
    "minimumAmountValueInCents": 0,
    "receiverBankIspb": "texto",
    "receiverName": "Fulano de Tal",
    "receiverRegistrationNumber": "texto",
    "payerCpf": "12345678909",
    "payerBankRegistrationNumber": "texto",
    "payerBankName": "Fulano de Tal",
    "firstRecurrenceDate": "2025-08-11T13:45:00Z",
    "lastRecurrenceDate": "2025-08-11T13:45:00Z",
    "periodicity": "MIAN",
    "contractNumber": "texto",
    "description": "texto",
    "updates": [
      {
        "updateDateTime": "2025-08-11T13:45:00Z",
        "status": "texto"
      }
    ]
  }
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/QRCode" \
  -H "Authorization: Bearer {{token}}"
```

---

### GET /v1/BankAccount/Pix/QRCode

**Obter informações por QRCode PIX** — Lista e filtra registros de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `QRCode` | query | `string` | opcional | — | `valor` |
| `IntendedPaymentDate` | query | `string (date-time)` | opcional | — | `valor` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `pixKey` | `string` | opcional | — | — | `"texto"` |
| `pixKeyType` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"NaturalRegistrationNumber"` |
| `pixKeyTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `endToEndId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `beneficiary` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `payer` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `valueInCents` | `integer (int64)` | opcional | — | — | `0` |
| `originalValueInCents` | `integer (int64)` | opcional | — | — | `0` |
| `interestValueInCents` | `integer (int64)` | opcional | — | — | `0` |
| `assessmentValueInCents` | `integer (int64)` | opcional | — | — | `0` |
| `discountValueInCents` | `integer (int64)` | opcional | — | — | `0` |
| `rebateValueInCents` | `integer (int64)` | opcional | — | — | `0` |
| `dueDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `validityAfterExpiration` | `integer` | opcional | — | — | `1` |
| `txId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `info` | `string` | opcional | — | — | `"texto"` |
| `qrCodeType` | `string` | opcional | — | — | `"texto"` |
| `pixType` | `string` | opcional | — | — | `"texto"` |
| `recurrenceData` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Detalhe de `beneficiary`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `agency` | `string` | opcional | — | — | `"texto"` |
| `accountNumber` | `string` | opcional | — | — | `"texto"` |
| `accountType` | `string` | opcional | — | `CheckingAccount`, `SalaryAccount`, `SavingsAccount`, `Transactional` | `"CheckingAccount"` |
| `accountTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `ispb` | `string` | opcional | — | — | `"texto"` |
| `personType` | `string` | opcional | — | `Natural`, `Legal` | `"Natural"` |
| `personTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `bankName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `payer`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `personType` | `string` | opcional | — | `Natural`, `Legal` | `"Natural"` |
| `personTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |

Exemplo:

```json
{
  "pixKey": "texto",
  "pixKeyType": "NaturalRegistrationNumber",
  "pixKeyTypeDisplay": "texto",
  "endToEndId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "beneficiary": {
    "agency": "texto",
    "accountNumber": "texto",
    "accountType": "CheckingAccount",
    "accountTypeDisplay": "texto",
    "ispb": "texto",
    "personType": "Natural",
    "personTypeDisplay": "texto",
    "registrationNumber": "12345678909",
    "name": "Fulano de Tal",
    "bankName": "Fulano de Tal"
  },
  "payer": {
    "personType": "Natural",
    "personTypeDisplay": "texto",
    "registrationNumber": "12345678909",
    "name": "Fulano de Tal"
  },
  "valueInCents": 0,
  "originalValueInCents": 0,
  "interestValueInCents": 0,
  "assessmentValueInCents": 0,
  "discountValueInCents": 0,
  "rebateValueInCents": 0,
  "dueDate": "2025-08-11T13:45:00Z",
  "validityAfterExpiration": 1,
  "txId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "info": "texto",
  "qrCodeType": "texto",
  "pixType": "texto",
  "recurrenceData": {
    "recurrenceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "journey": "JORNADA_1",
    "journeyDisplay": "texto",
    "retry": "texto",
    "amountValueInCents": 0,
    "minimumAmountValueInCents": 0,
    "receiverBankIspb": "texto",
    "receiverName": "Fulano de Tal",
    "receiverRegistrationNumber": "texto",
    "payerCpf": "12345678909",
    "payerBankRegistrationNumber": "texto",
    "payerBankName": "Fulano de Tal",
    "firstRecurrenceDate": "2025-08-11T13:45:00Z",
    "lastRecurrenceDate": "2025-08-11T13:45:00Z",
    "periodicity": "MIAN",
    "contractNumber": "texto",
    "description": "texto",
    "updates": [
      {
        "updateDateTime": "2025-08-11T13:45:00Z",
        "status": "texto"
      }
    ]
  }
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/Pix/QRCode" \
  -H "Authorization: Bearer {{token}}"
```

---

### POST /v1/BankAccount/{id}/Pix/QRCode/Static

**Gerar PIX QRCode estático** — Cria um novo registro de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `txId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `beneficiary` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `valueInCents` | `integer (int64)` | opcional | — | — | `0` |
| `description` | `string` | opcional | — | — | `"texto"` |

Detalhe de `beneficiary`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `pixKey` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |

Detalhe de `pixKey`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `type` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic` | `"NaturalRegistrationNumber"` |
| `key` | `string` | opcional | — | — | `"texto"` |
| `descriptionType` | `string` | opcional | — | — | `"texto"` |
| `formattedKey` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "txId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "beneficiary": {
    "pixKey": {
      "type": "NaturalRegistrationNumber",
      "key": "texto",
      "descriptionType": "texto",
      "formattedKey": "texto"
    }
  },
  "valueInCents": 0,
  "description": "texto"
}
```

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `qrCode` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "qrCode": "texto"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/QRCode/Static" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "txId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "beneficiary": {
    "pixKey": {
      "type": "NaturalRegistrationNumber",
      "key": "texto",
      "descriptionType": "texto",
      "formattedKey": "texto"
    }
  },
  "valueInCents": 0,
  "description": "texto"
}'
```

---

### POST /v1/BankAccount/{id}/Pix/QRCode/ImmediateDynamic

**Gerar PIX QRCode dinâmico** — Cria um novo registro de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `txId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `beneficiary` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `payer` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `valueInCents` | `integer (int64)` | opcional | — | — | `0` |
| `expirationDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |

Detalhe de `beneficiary`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `pixKey` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |

Detalhe de `payer`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `pixKey`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `type` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic` | `"NaturalRegistrationNumber"` |
| `key` | `string` | opcional | — | — | `"texto"` |
| `descriptionType` | `string` | opcional | — | — | `"texto"` |
| `formattedKey` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "txId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "beneficiary": {
    "pixKey": {
      "type": "NaturalRegistrationNumber",
      "key": "texto",
      "descriptionType": "texto",
      "formattedKey": "texto"
    }
  },
  "payer": {
    "registrationNumber": "12345678909",
    "name": "Fulano de Tal"
  },
  "valueInCents": 0,
  "expirationDate": "2025-08-11T13:45:00Z"
}
```

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `qrCode` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "qrCode": "texto"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/QRCode/ImmediateDynamic" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "txId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "beneficiary": {
    "pixKey": {
      "type": "NaturalRegistrationNumber",
      "key": "texto",
      "descriptionType": "texto",
      "formattedKey": "texto"
    }
  },
  "payer": {
    "registrationNumber": "12345678909",
    "name": "Fulano de Tal"
  },
  "valueInCents": 0,
  "expirationDate": "2025-08-11T13:45:00Z"
}'
```

---

### POST /v1/BankAccount/{id}/Pix/QRCode/DynamicWithDueDate

**Gerar PIX QRCode dinâmico com data de vencimento** — Cria um novo registro de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `txId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `beneficiary` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `payer` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `value` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `expirationDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `discountLimitDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |

Detalhe de `beneficiary`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `pixKey` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |

Detalhe de `payer`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `email` | `string` | opcional | — | — | `"cliente@exemplo.com.br"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `city` | `string` | opcional | — | — | `"texto"` |
| `zipCode` | `string` | opcional | — | — | `"01310930"` |
| `addressNumber` | `string` | opcional | — | — | `"texto"` |
| `uf` | `string` | opcional | — | `NaoSelecionado`, `AC`, `AL`, `AP`, `AM`, `BA`, `CE`, `DF`, `ES`, `GO`, `MA`, `MT`, `MS`, `MG`, `PA`, `PB`, `PR`, `PE`, `PI`, `RJ`, `RN`, `RS`, `RO`, `RR`, `SC`, `SP`, `SE`, `TO` | `"NaoSelecionado"` |

Detalhe de `value`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `originalValueInCents` | `integer (int64)` | opcional | — | — | `0` |
| `interestValueInCents` | `integer (int64)` | opcional | — | — | `0` |
| `assessmentValueInCents` | `integer (int64)` | opcional | — | — | `0` |
| `discountValueInCents` | `integer (int64)` | opcional | — | — | `0` |
| `rebateValueInCents` | `integer (int64)` | opcional | — | — | `0` |

Detalhe de `pixKey`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `type` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic` | `"NaturalRegistrationNumber"` |
| `key` | `string` | opcional | — | — | `"texto"` |
| `descriptionType` | `string` | opcional | — | — | `"texto"` |
| `formattedKey` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "txId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "beneficiary": {
    "pixKey": {
      "type": "NaturalRegistrationNumber",
      "key": "texto",
      "descriptionType": "texto",
      "formattedKey": "texto"
    }
  },
  "payer": {
    "name": "Fulano de Tal",
    "email": "cliente@exemplo.com.br",
    "registrationNumber": "12345678909",
    "city": "texto",
    "zipCode": "01310930",
    "addressNumber": "texto",
    "uf": "NaoSelecionado"
  },
  "value": {
    "originalValueInCents": 0,
    "interestValueInCents": 0,
    "assessmentValueInCents": 0,
    "discountValueInCents": 0,
    "rebateValueInCents": 0
  },
  "expirationDate": "2025-08-11T13:45:00Z",
  "discountLimitDate": "2025-08-11T13:45:00Z"
}
```

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `qrCode` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "qrCode": "texto"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/QRCode/DynamicWithDueDate" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "txId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "beneficiary": {
    "pixKey": {
      "type": "NaturalRegistrationNumber",
      "key": "texto",
      "descriptionType": "texto",
      "formattedKey": "texto"
    }
  },
  "payer": {
    "name": "Fulano de Tal",
    "email": "cliente@exemplo.com.br",
    "registrationNumber": "12345678909",
    "city": "texto",
    "zipCode": "01310930",
    "addressNumber": "texto",
    "uf": "NaoSelecionado"
  },
  "value": {
    "originalValueInCents": 0,
    "interestValueInCents": 0,
    "assessmentValueInCents": 0,
    "discountValueInCents": 0,
    "rebateValueInCents": 0
  },
  "expirationDate": "2025-08-11T13:45:00Z",
  "discountLimitDate": "2025-08-11T13:45:00Z"
}'
```

---

### GET /v1/BankAccount/{id}/Pix/e2e/{endToEndId}

**Consultar pagamento Pix pelo E2E** — Consulta Bank Account pelo identificador informado na rota.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `endToEndId` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `endToEndId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `status` | `string` | opcional | — | `Sent`, `Effective`, `Refused`, `Error` | `"Sent"` |

Exemplo:

```json
{
  "endToEndId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "status": "Sent"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/e2e/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}"
```

---

### GET /v1/BankAccount/{id}/Pix/{id}

**Consultar pagamento Pix pelo fluxo** — Consulta Bank Account pelo identificador informado na rota.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `transferId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `endToEndId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `status` | `string` | opcional | — | `Sent`, `Effective`, `Refused`, `Error` | `"Sent"` |
| `statusMessage` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "transferId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "endToEndId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "status": "Sent",
  "statusMessage": "texto"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}"
```

---

### POST /v1/BankAccount/{id}/Pix/Refund

**Incluir devolução de um pix recebido** — Cria um novo registro de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `transferId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `originalEndToEndId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `reason` | `string` | opcional | — | `BE08`, `FR01`, `MD06`, `SL02` | `"BE08"` |
| `observation` | `string` | opcional | — | — | `"texto"` |
| `valueInCents` | `integer (int64)` | opcional | — | — | `0` |
| `waitSuccess` | `integer` | opcional | — | — | `0` |

Exemplo:

```json
{
  "transferId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "originalEndToEndId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "reason": "BE08",
  "observation": "texto",
  "valueInCents": 0,
  "waitSuccess": 0
}
```

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `transferId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `endToEndId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `status` | `string` | opcional | — | `Sent`, `Effective`, `Refused`, `Error` | `"Sent"` |
| `statusMessage` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "transferId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "endToEndId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "status": "Sent",
  "statusMessage": "texto"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Refund" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "transferId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "originalEndToEndId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "reason": "BE08",
  "observation": "texto",
  "valueInCents": 0,
  "waitSuccess": 0
}'
```

---

### GET /v1/BankAccount/{id}/Pix/InfrigmentReport

**Consultar lista de relato de infração** — Lista e filtra registros de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `Page` | query | `integer` | opcional | — | `10` |
| `Size` | query | `integer` | opcional | — | `10` |
| `Status` | query | `string` | opcional | — | `valor` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `data` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `page` | `integer` | opcional | — | — | `0` |
| `totalPages` | `integer` | opcional | — | — | `0` |
| `totalItems` | `integer` | opcional | — | — | `0` |

Detalhe de `data`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `infrigmentReportId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `infrigmentReportDetails` | `string` | opcional | — | — | `"texto"` |
| `endToEndOriginal` | `string` | opcional | — | — | `"texto"` |
| `status` | `string` | opcional | — | `OPEN`, `ACKNOWLEDGED`, `CLOSED`, `CANCELLED` | `"OPEN"` |
| `statusDisplay` | `string` | opcional | — | — | `"texto"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |

Exemplo:

```json
{
  "data": [
    {
      "id": "texto",
      "infrigmentReportId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "infrigmentReportDetails": "texto",
      "endToEndOriginal": "texto",
      "status": "OPEN",
      "statusDisplay": "texto",
      "createdAt": "2025-08-11T13:45:00Z"
    }
  ],
  "page": 0,
  "totalPages": 0,
  "totalItems": 0
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/InfrigmentReport" \
  -H "Authorization: Bearer {{token}}"
```

---

### POST /v1/BankAccount/Pix/ReportXml

**Criar Bank Account** — Cria um novo registro de Bank Account.

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `startDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `endDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `ispb` | `string` | opcional | — | — | `"texto"` |
| `nameResponsible` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `emailResponsible` | `string` | opcional | — | — | `"cliente@exemplo.com.br"` |
| `foneResponsible` | `string` | opcional | — | — | `"texto"` |
| `typeSend` | `string` | opcional | — | `I`, `S` | `"I"` |
| `typeSendValue` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "startDate": "2025-08-11T13:45:00Z",
  "endDate": "2025-08-11T13:45:00Z",
  "ispb": "texto",
  "nameResponsible": "Fulano de Tal",
  "emailResponsible": "cliente@exemplo.com.br",
  "foneResponsible": "texto",
  "typeSend": "I",
  "typeSendValue": "texto"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/Pix/ReportXml" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "startDate": "2025-08-11T13:45:00Z",
  "endDate": "2025-08-11T13:45:00Z",
  "ispb": "texto",
  "nameResponsible": "Fulano de Tal",
  "emailResponsible": "cliente@exemplo.com.br",
  "foneResponsible": "texto",
  "typeSend": "I",
  "typeSendValue": "texto"
}'
```

---

### DELETE /v1/BankAccount/Pix/QRCode/DeleteQrCode

**Remover Bank Account** — Remove um registro de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `qrCode` | query | `string` | opcional | — | `valor` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `transactionId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `message` | `string` | opcional | — | — | `"texto"` |
| `qrCodeId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `qrCode` | `string` | opcional | — | — | `"texto"` |
| `txId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |

Exemplo:

```json
{
  "transactionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "message": "texto",
  "qrCodeId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "qrCode": "texto",
  "txId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X DELETE "{{baseUrl}}/v1/BankAccount/Pix/QRCode/DeleteQrCode" \
  -H "Authorization: Bearer {{token}}"
```

---

### GET /v1/BankAccount/{id}/Pix/Automatic

**Obter todos os registros de recorrência de pix automático** — Lista e filtra registros de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `status` | query | `objeto` | opcional | — | `valor` |
| `page` | query | `integer` | opcional | — | `10` |
| `size` | query | `integer` | opcional | — | `10` |
| `isDeleted` | query | `boolean` | opcional | — | `true` |
| `orderBy` | query | `string` | opcional | — | `valor` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `data` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `page` | `integer` | opcional | — | — | `0` |
| `totalPages` | `integer` | opcional | — | — | `0` |
| `totalItems` | `integer` | opcional | — | — | `0` |

Detalhe de `data`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `bankAccountId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `bankAccount` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `automaticPixItemId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `automaticPixItem` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `status` | `string` | opcional | — | `Processing`, `Confirmed`, `Rejected`, `Canceled`, `PendingPayer`, `PendingUser`, `Activated`, `CancellationRequested` | `"Processing"` |
| `statusDisplay` | `string` | opcional | — | — | `"texto"` |
| `amount` | `integer (int64)` | opcional | — | — | `0` |
| `sequenceType` | `string` | opcional | — | `RCUR` | `"RCUR"` |
| `frequencyType` | `string` | opcional | — | `MIAN`, `MNTH`, `QURT`, `WEEK`, `YEAR` | `"MIAN"` |
| `frequencyTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `firstRecurrenceDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `lastRecurrenceDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `recurrenceId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `contractNumber` | `string` | opcional | — | — | `"texto"` |
| `receivingUserName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `receivingUserRegistrationNumber` | `string` | opcional | — | — | `"texto"` |
| `receivingBankISPB` | `string` | opcional | — | — | `"texto"` |
| `isDeleted` | `boolean` | opcional | — | — | `true` |

Exemplo:

```json
{
  "data": [
    {
      "id": "texto",
      "bankAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "bankAccount": {
        "id": "texto",
        "createdAt": "2025-08-11T13:45:00Z",
        "createdBy": {},
        "tenant": "texto",
        "tenantDisplay": "texto",
        "updatedAt": "2025-08-11T13:45:00Z",
        "updatedBy": {},
        "ownerUser": {},
        "ownerGroup": {},
        "bankCode": 0,
        "bankCodeDisplay": "texto",
        "bankIspb": 0,
        "account": "texto",
        "agency": "texto",
        "type": {},
        "typeDisplay": "texto",
        "modality": {},
        "modalityDisplay": "texto",
        "quorumMinimumApproval": 0,
        "externalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal",
        "isDeleted": true,
        "status": {},
        "statusDisplay": "texto",
        "person": {},
        "balance": {},
        "creditors": []
      },
      "automaticPixItemId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "automaticPixItem": {
        "id": "texto",
        "createdAt": "2025-08-11T13:45:00Z",
        "mandanteIdentification": "texto",
        "mandanteRequestIdentification": "texto",
        "occurrencesSequenceType": "texto",
        "occurrencesFrequency": {},
        "occurrencesFirstRecurrenceDate": "2025-08-11T13:45:00Z",
        "occurrencesFinalRecurrenceDate": "2025-08-11T13:45:00Z",
        "trackingIndicator": true,
        "collectionAmount": 0,
        "creditorName": "Fulano de Tal",
        "creditorIdentification": "texto",
        "creditorAgentMemberIdentification": "texto",
        "debtoIdentification": "texto",
        "debtorAccountIdentification": "texto",
        "debtorAccountIssuer": "texto",
        "debtorAgentMemberIdentification": "texto",
        "ultimateDebtorName": "Fulano de Tal",
        "ultimateIdentification": "texto",
        "createConfirmationRequestDate": "2025-08-11T13:45:00Z",
        "referredDocumentNumber": "texto",
        "referredDocumentCreditorReference": "texto",
        "createRecurrencePeriodicPaymentDate": "2025-08-11T13:45:00Z",
        "confirmationRequestExpirationDate": "2025-08-11T13:45:00Z",
        "maxColletionAmount": 0
      },
      "status": "Processing",
      "statusDisplay": "texto",
      "amount": 0,
      "sequenceType": "RCUR",
      "frequencyType": "MIAN",
      "frequencyTypeDisplay": "texto",
      "firstRecurrenceDate": "2025-08-11T13:45:00Z",
      "lastRecurrenceDate": "2025-08-11T13:45:00Z",
      "recurrenceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "contractNumber": "texto",
      "receivingUserName": "Fulano de Tal",
      "receivingUserRegistrationNumber": "texto",
      "receivingBankISPB": "texto",
      "isDeleted": true
    }
  ],
  "page": 0,
  "totalPages": 0,
  "totalItems": 0
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Automatic" \
  -H "Authorization: Bearer {{token}}"
```

---

### GET /v1/BankAccount/{id}/Pix/Automatic/{automaticPixId}

**Obter registro de recorrência de um pix automático** — Consulta Bank Account pelo identificador informado na rota.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `automaticPixId` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `bankAccountId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `bankAccount` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `automaticPixItemId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `automaticPixItem` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `status` | `string` | opcional | — | `Processing`, `Confirmed`, `Rejected`, `Canceled`, `PendingPayer`, `PendingUser`, `Activated`, `CancellationRequested` | `"Processing"` |
| `statusDisplay` | `string` | opcional | — | — | `"texto"` |
| `amount` | `integer (int64)` | opcional | — | — | `0` |
| `sequenceType` | `string` | opcional | — | `RCUR` | `"RCUR"` |
| `frequencyType` | `string` | opcional | — | `MIAN`, `MNTH`, `QURT`, `WEEK`, `YEAR` | `"MIAN"` |
| `frequencyTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `firstRecurrenceDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `lastRecurrenceDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `recurrenceId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `contractNumber` | `string` | opcional | — | — | `"texto"` |
| `receivingUserName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `receivingUserRegistrationNumber` | `string` | opcional | — | — | `"texto"` |
| `receivingBankISPB` | `string` | opcional | — | — | `"texto"` |
| `isDeleted` | `boolean` | opcional | — | — | `true` |

Exemplo:

```json
{
  "id": "texto",
  "bankAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "bankAccount": {
    "id": "texto",
    "createdAt": "2025-08-11T13:45:00Z",
    "createdBy": {
      "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "registrationNumber": "12345678909",
      "userIdDisplay": "texto",
      "tenantDisplay": "texto",
      "tenantName": "Fulano de Tal"
    },
    "tenant": "texto",
    "tenantDisplay": "texto",
    "updatedAt": "2025-08-11T13:45:00Z",
    "updatedBy": {
      "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "registrationNumber": "12345678909",
      "userIdDisplay": "texto",
      "tenantDisplay": "texto",
      "tenantName": "Fulano de Tal"
    },
    "ownerUser": {
      "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "registrationNumber": "12345678909",
      "userIdDisplay": "texto",
      "tenantDisplay": "texto",
      "tenantName": "Fulano de Tal"
    },
    "ownerGroup": {
      "groupDisplay": "texto",
      "tenantDisplay": "texto"
    },
    "bankCode": 0,
    "bankCodeDisplay": "texto",
    "bankIspb": 0,
    "account": "texto",
    "agency": "texto",
    "type": "PaymentAccount",
    "typeDisplay": "texto",
    "modality": "NaturalCheckingAccount",
    "modalityDisplay": "texto",
    "quorumMinimumApproval": 0,
    "externalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "tenantName": "Fulano de Tal",
    "isDeleted": true,
    "status": "Active",
    "statusDisplay": "texto",
    "person": {
      "id": "texto",
      "createdAt": "2025-08-11T13:45:00Z",
      "createdBy": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenantName": "Fulano de Tal"
      },
      "tenant": "texto",
      "tenantDisplay": "texto",
      "updatedAt": "2025-08-11T13:45:00Z",
      "updatedBy": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenantName": "Fulano de Tal"
      },
      "ownerUser": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenantName": "Fulano de Tal"
      },
      "ownerGroup": {
        "groupDisplay": "texto",
        "tenantDisplay": "texto"
      },
      "registrationNumber": "12345678909",
      "name": "Fulano de Tal"
    },
    "balance": {
      "currentBalance": 0,
      "blockedBalance": 0,
      "available": 0,
      "bankAccount": {
        "bankCode": 0,
        "bankIspb": 0,
        "bankCodeDisplay": "texto",
        "type": {},
        "typeDisplay": "texto",
        "modality": {},
        "modalityDisplay": "texto",
        "account": 0,
        "agency": 0,
        "personRegistrationNumber": "texto",
        "personName": "Fulano de Tal",
        "isDeleted": true,
        "status": {},
        "creditors": []
      }
    },
    "creditors": [
      {
        "id": "texto",
        "name": "Fulano de Tal",
        "tenant": "texto"
      }
    ]
  },
  "automaticPixItemId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "automaticPixItem": {
    "id": "texto",
    "createdAt": "2025-08-11T13:45:00Z",
    "mandanteIdentification": "texto",
    "mandanteRequestIdentification": "texto",
    "occurrencesSequenceType": "texto",
    "occurrencesFrequency": "MIAN",
    "occurrencesFirstRecurrenceDate": "2025-08-11T13:45:00Z",
    "occurrencesFinalRecurrenceDate": "2025-08-11T13:45:00Z",
    "trackingIndicator": true,
    "collectionAmount": 0,
    "creditorName": "Fulano de Tal",
    "creditorIdentification": "texto",
    "creditorAgentMemberIdentification": "texto",
    "debtoIdentification": "texto",
    "debtorAccountIdentification": "texto",
    "debtorAccountIssuer": "texto",
    "debtorAgentMemberIdentification": "texto",
    "ultimateDebtorName": "Fulano de Tal",
    "ultimateIdentification": "texto",
    "createConfirmationRequestDate": "2025-08-11T13:45:00Z",
    "referredDocumentNumber": "texto",
    "referredDocumentCreditorReference": "texto",
    "createRecurrencePeriodicPaymentDate": "2025-08-11T13:45:00Z",
    "confirmationRequestExpirationDate": "2025-08-11T13:45:00Z",
    "maxColletionAmount": 0
  },
  "status": "Processing",
  "statusDisplay": "texto",
  "amount": 0,
  "sequenceType": "RCUR",
  "frequencyType": "MIAN",
  "frequencyTypeDisplay": "texto",
  "firstRecurrenceDate": "2025-08-11T13:45:00Z",
  "lastRecurrenceDate": "2025-08-11T13:45:00Z",
  "recurrenceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "contractNumber": "texto",
  "receivingUserName": "Fulano de Tal",
  "receivingUserRegistrationNumber": "texto",
  "receivingBankISPB": "texto",
  "isDeleted": true
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Automatic/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}"
```

---

### GET /v1/BankAccount/{id}/Pix/Automatic/ScheduledPayments

**Obter registro de pagamentos agendados do pix automático** — Lista e filtra registros de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `status` | query | `objeto` | opcional | — | `Scheduled` |
| `page` | query | `integer` | opcional | — | `10` |
| `size` | query | `integer` | opcional | — | `10` |
| `isDeleted` | query | `boolean` | opcional | — | `true` |
| `orderBy` | query | `string` | opcional | — | `valor` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `data` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `page` | `integer` | opcional | — | — | `0` |
| `totalPages` | `integer` | opcional | — | — | `0` |
| `totalItems` | `integer` | opcional | — | — | `0` |

Detalhe de `data`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `transfer` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `automaticPix` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Exemplo:

```json
{
  "data": [
    {
      "transfer": {
        "id": "texto",
        "createdAt": "2025-08-11T13:45:00Z",
        "createdBy": {},
        "tenant": "texto",
        "tenantDisplay": "texto",
        "updatedAt": "2025-08-11T13:45:00Z",
        "updatedBy": {},
        "ownerUser": {},
        "ownerGroup": {},
        "nsu": "texto",
        "amount": 0,
        "transferDate": "2025-08-11T13:45:00Z",
        "paymentPurpose": {},
        "paymentPurposeDisplay": "texto",
        "status": {},
        "statusDisplay": "texto",
        "accountingEntry": "texto",
        "errorMessage": "texto",
        "reversalCodeReason": "texto",
        "reversalDescriptionReason": "texto",
        "bankAccountBeneficiaryId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "bankAccountBeneficiary": {},
        "authorizedAt": "2025-08-11T13:45:00Z",
        "bankAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "requester": {},
        "approvals": []
      },
      "automaticPix": {
        "id": "texto",
        "bankAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "bankAccount": {},
        "automaticPixItemId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "automaticPixItem": {},
        "status": {},
        "statusDisplay": "texto",
        "amount": 0,
        "sequenceType": {},
        "frequencyType": {},
        "frequencyTypeDisplay": "texto",
        "firstRecurrenceDate": "2025-08-11T13:45:00Z",
        "lastRecurrenceDate": "2025-08-11T13:45:00Z",
        "recurrenceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "contractNumber": "texto",
        "receivingUserName": "Fulano de Tal",
        "receivingUserRegistrationNumber": "texto",
        "receivingBankISPB": "texto",
        "isDeleted": true
      }
    }
  ],
  "page": 0,
  "totalPages": 0,
  "totalItems": 0
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Automatic/ScheduledPayments" \
  -H "Authorization: Bearer {{token}}"
```

---

### POST /v1/BankAccount/{id}/Pix/Automatic/{automaticPixId}/approve

**Ação do usuário para um recorrência de pix automático** — Cria um novo registro de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `automaticPixId` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `sessionId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `code` | `string` | opcional | — | — | `"texto"` |
| `action` | `string` | opcional | — | `Approve`, `Reject`, `Cancel` | `"Approve"` |

Exemplo:

```json
{
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto",
  "action": "Approve"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `204` | Sucesso sem corpo de resposta. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Automatic/3fa85f64-5717-4562-b3fc-2c963f66afa6/approve" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto",
  "action": "Approve"
}'
```

---

### POST /v1/BankAccount/{id}/Pix/Automatic/authorize

**Autorizar recorrência do pix automático via leitura de QRCode** — Cria um novo registro de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `sessionId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `code` | `string` | opcional | — | — | `"texto"` |
| `recurrenceId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `journey` | `string` | opcional | — | `JORNADA_1`, `JORNADA_2`, `JORNADA_3`, `JORNADA_4` | `"JORNADA_1"` |
| `amountValueInCents` | `integer (int64)` | opcional | — | — | `0` |
| `maxAmountValueInCents` | `integer (int64)` | opcional | — | — | `0` |
| `receiverName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `receiverRegistrationNumber` | `string` | opcional | — | — | `"texto"` |
| `receiverBankIspb` | `string` | opcional | — | — | `"texto"` |
| `payerBankRegistrationNumber` | `string` | opcional | — | — | `"texto"` |
| `firstRecurrenceDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `lastRecurrenceDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `periodicity` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"MIAN"` |
| `contractNumber` | `string` | opcional | — | — | `"texto"` |
| `description` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto",
  "recurrenceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "journey": "JORNADA_1",
  "amountValueInCents": 0,
  "maxAmountValueInCents": 0,
  "receiverName": "Fulano de Tal",
  "receiverRegistrationNumber": "texto",
  "receiverBankIspb": "texto",
  "payerBankRegistrationNumber": "texto",
  "firstRecurrenceDate": "2025-08-11T13:45:00Z",
  "lastRecurrenceDate": "2025-08-11T13:45:00Z",
  "periodicity": "MIAN",
  "contractNumber": "texto",
  "description": "texto"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `204` | Sucesso sem corpo de resposta. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Automatic/authorize" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto",
  "recurrenceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "journey": "JORNADA_1",
  "amountValueInCents": 0,
  "maxAmountValueInCents": 0,
  "receiverName": "Fulano de Tal",
  "receiverRegistrationNumber": "texto",
  "receiverBankIspb": "texto",
  "payerBankRegistrationNumber": "texto",
  "firstRecurrenceDate": "2025-08-11T13:45:00Z",
  "lastRecurrenceDate": "2025-08-11T13:45:00Z",
  "periodicity": "MIAN",
  "contractNumber": "texto",
  "description": "texto"
}'
```

---

### POST /v1/BankAccount/{id}/Pix/Automatic/{automaticPixId}/cancel

**Solicitar cancelamento da autorização de recorrência do pix automático** — Cria um novo registro de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `automaticPixId` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `sessionId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `code` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `204` | Sucesso sem corpo de resposta. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Automatic/3fa85f64-5717-4562-b3fc-2c963f66afa6/cancel" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto"
}'
```

---

### POST /v1/BankAccount/Pix/Poolling

**Reprocessamento de recorrências** — Cria um novo registro de Bank Account.

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `startDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |

Exemplo:

```json
{
  "startDate": "2025-08-11T13:45:00Z"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/Pix/Poolling" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "startDate": "2025-08-11T13:45:00Z"
}'
```

---

### GET /v1/BankAccount/{id}/Pix/Contestations/Made

**Lista contestações feitas (REPORTED)** — Lista e filtra registros de Bank Account.

Lista contestações feitas (REPORTED).

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | Id da conta. | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `registrationNumber` | query | `string` | opcional | CPF/CNPJ do cliente. | `valor` |
| `recipientName` | query | `string` | opcional | Nome do destinatário. | `valor` |
| `bankCode` | query | `string` | opcional | Código do banco. | `valor` |
| `agencyCode` | query | `string` | opcional | Agência. | `valor` |
| `accountNumber` | query | `string` | opcional | Número da conta. | `valor` |
| `transactionId` | query | `string` | opcional | ID da transação EndToEndId ou NSU. | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `status` | query | `objeto` | opcional | Filtro de status. | `valor` |
| `startDate` | query | `string (date-time)` | opcional | Data inicial. | `valor` |
| `endDate` | query | `string (date-time)` | opcional | Data final. | `valor` |
| `page` | query | `integer` | opcional | Número da página. | `10` |
| `pageSize` | query | `integer` | opcional | Itens por página. | `10` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `infractionReportId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `bankCode` | `string` | opcional | — | — | `"texto"` |
| `bankName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `operationAmount` | `number (decimal)` | opcional | — | — | `1000` |
| `recoveredAmount` | `number (decimal)` | opcional | — | — | `1000` |
| `transactionDateTime` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `contestationDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `status` | `string` | opcional | — | `UNKNOWN`, `IN_ANALYSIS`, `APPROVED`, `PARTIALLY_REFUNDED`, `FULLY_REFUNDED`, `REJECTED`, `DEADLINE_EXPIRED`, `CANCELLED` | `"UNKNOWN"` |
| `contestationType` | `string` | opcional | — | `REPORTED`, `CONTESTED` | `"REPORTED"` |
| `reason` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"UNKNOWN"` |
| `analysisDaysRemaining` | `integer` | opcional | — | — | `0` |
| `recoveryDaysRemaining` | `integer` | opcional | — | — | `0` |
| `analysisDeadline` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `recoveryDeadline` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |

Exemplo:

```json
[
  {
    "infractionReportId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "Fulano de Tal",
    "registrationNumber": "12345678909",
    "bankCode": "texto",
    "bankName": "Fulano de Tal",
    "operationAmount": 1000,
    "recoveredAmount": 1000,
    "transactionDateTime": "2025-08-11T13:45:00Z",
    "contestationDate": "2025-08-11T13:45:00Z",
    "status": "UNKNOWN",
    "contestationType": "REPORTED",
    "reason": "UNKNOWN",
    "analysisDaysRemaining": 0,
    "recoveryDaysRemaining": 0,
    "analysisDeadline": "2025-08-11T13:45:00Z",
    "recoveryDeadline": "2025-08-11T13:45:00Z"
  }
]
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |
| `400` | Requisição inválida (validação de campos ou regra de negócio). |
| `401` | Não autenticado — token ausente, inválido ou expirado. |
| `500` | Erro interno no servidor. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Contestations/Made" \
  -H "Authorization: Bearer {{token}}"
```

---

### GET /v1/BankAccount/{id}/Pix/Contestations/Received

**Lista contestações recebidas (CONTESTED)** — Lista e filtra registros de Bank Account.

Lista contestações recebidas (CONTESTED).

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | Id da conta. | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `registrationNumber` | query | `string` | opcional | CPF/CNPJ do cliente. | `valor` |
| `recipientName` | query | `string` | opcional | Nome do destinatário (opcional). | `valor` |
| `bankCode` | query | `string` | opcional | Código do banco ISPB (opcional). | `valor` |
| `agencyCode` | query | `string` | opcional | Agência (opcional). | `valor` |
| `accountNumber` | query | `string` | opcional | Número da conta (opcional). | `valor` |
| `transactionId` | query | `string` | opcional | ID da transação EndToEndId (opcional). | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `status` | query | `objeto` | opcional | Filtro de status (opcional). | `valor` |
| `startDate` | query | `string (date-time)` | opcional | Data inicial (opcional). | `valor` |
| `endDate` | query | `string (date-time)` | opcional | Data final (opcional). | `valor` |
| `startTime` | query | `string` | opcional | Hora inicial HH:mm:ss (opcional). | `valor` |
| `endTime` | query | `string` | opcional | Hora final HH:mm:ss (opcional). | `valor` |
| `page` | query | `integer` | opcional | Número da página. | `10` |
| `pageSize` | query | `integer` | opcional | Itens por página. | `10` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `infractionReportId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `bankCode` | `string` | opcional | — | — | `"texto"` |
| `bankName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `operationAmount` | `number (decimal)` | opcional | — | — | `1000` |
| `recoveredAmount` | `number (decimal)` | opcional | — | — | `1000` |
| `transactionDateTime` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `contestationDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `status` | `string` | opcional | — | `UNKNOWN`, `IN_ANALYSIS`, `APPROVED`, `PARTIALLY_REFUNDED`, `FULLY_REFUNDED`, `REJECTED`, `DEADLINE_EXPIRED`, `CANCELLED` | `"UNKNOWN"` |
| `contestationType` | `string` | opcional | — | `REPORTED`, `CONTESTED` | `"REPORTED"` |
| `reason` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"UNKNOWN"` |
| `analysisDaysRemaining` | `integer` | opcional | — | — | `0` |
| `recoveryDaysRemaining` | `integer` | opcional | — | — | `0` |
| `analysisDeadline` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `recoveryDeadline` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |

Exemplo:

```json
[
  {
    "infractionReportId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "Fulano de Tal",
    "registrationNumber": "12345678909",
    "bankCode": "texto",
    "bankName": "Fulano de Tal",
    "operationAmount": 1000,
    "recoveredAmount": 1000,
    "transactionDateTime": "2025-08-11T13:45:00Z",
    "contestationDate": "2025-08-11T13:45:00Z",
    "status": "UNKNOWN",
    "contestationType": "REPORTED",
    "reason": "UNKNOWN",
    "analysisDaysRemaining": 0,
    "recoveryDaysRemaining": 0,
    "analysisDeadline": "2025-08-11T13:45:00Z",
    "recoveryDeadline": "2025-08-11T13:45:00Z"
  }
]
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |
| `400` | Requisição inválida (validação de campos ou regra de negócio). |
| `401` | Não autenticado — token ausente, inválido ou expirado. |
| `500` | Erro interno no servidor. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Contestations/Received" \
  -H "Authorization: Bearer {{token}}"
```

---

### GET /v1/BankAccount/{id}/Pix/Contestations/{infractionReportId}

**Busca detalhes da contestação** — Consulta Bank Account pelo identificador informado na rota.

Busca detalhes da contestação.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | Id da conta. | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `infractionReportId` | path | `string` | obrigatório | Id do relato MED. | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `infractionReportId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `transactionId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `contestationType` | `string` | opcional | — | `REPORTED`, `CONTESTED` | `"REPORTED"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `recipientName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `bankCode` | `string` | opcional | — | — | `"texto"` |
| `bankName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `agencyCode` | `string` | opcional | — | — | `"texto"` |
| `accountNumber` | `string` | opcional | — | — | `"texto"` |
| `accountType` | `string` | opcional | — | `CheckingAccount`, `SalaryAccount`, `SavingsAccount`, `Transactional` | `"CheckingAccount"` |
| `transactionDateTime` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `operationAmount` | `number (decimal)` | opcional | — | — | `1000` |
| `recoveredAmount` | `number (decimal)` | opcional | — | — | `1000` |
| `status` | `string` | opcional | — | `UNKNOWN`, `IN_ANALYSIS`, `APPROVED`, `PARTIALLY_REFUNDED`, `FULLY_REFUNDED`, `REJECTED`, `DEADLINE_EXPIRED`, `CANCELLED` | `"UNKNOWN"` |
[...]
